package com.goldenwater.slaj.eme.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eme.mapper.BusiPlanEvaMapper;
import com.goldenwater.slaj.eme.domain.BusiPlanEva;
import com.goldenwater.slaj.eme.service.IBusiPlanEvaService;

/**
 * 应急预案评估 服务层实现
 */
@Service
public class BusiPlanEvaServiceImpl implements IBusiPlanEvaService {

    @Autowired
    private BusiPlanEvaMapper busiPlanEvaMapper;

    @Override
    public BusiPlanEva selectBusiPlanEvaByGuid(String guid) {
        return busiPlanEvaMapper.selectBusiPlanEvaByGuid(guid);
    }

    @Override
    public List<BusiPlanEva> selectBusiPlanEvaList(BusiPlanEva busiPlanEva) {
        return busiPlanEvaMapper.selectBusiPlanEvaList(busiPlanEva);
    }

    @Override
    public int insertBusiPlanEva(BusiPlanEva busiPlanEva) {
        return busiPlanEvaMapper.insertBusiPlanEva(busiPlanEva);
    }

    @Override
    public int updateBusiPlanEva(BusiPlanEva busiPlanEva) {
        return busiPlanEvaMapper.updateBusiPlanEva(busiPlanEva);
    }

    @Override
    public int deleteBusiPlanEvaByGuid(String guid) {
        return busiPlanEvaMapper.deleteBusiPlanEvaByGuid(guid);
    }

    @Override
    public int deleteBusiPlanEvaByGuids(String[] guids) {
        return busiPlanEvaMapper.deleteBusiPlanEvaByGuids(guids);
    }
}
